# Documents

Resource managing the Documents in our DMS(Shelf)

## GET /dms/resources/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}":{"get":{"tags":["Documents"],"summary":"Find an existing Resource by identifier","operationId":"getById_85","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfDocument"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"dms-shelf-ShelfDocument":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"file":{"$ref":"#/components/schemas/dms-shelf-ShelfFile"},"shares":{"type":"array","description":"share informations","items":{"$ref":"#/components/schemas/dms-shelf-ShelfShare"},"readOnly":true},"description":{"type":"string","description":"description of this document"},"entryDate":{"type":"string","format":"date","description":"Date of this Entry/Document"},"plannedRemovalDate":{"type":"string","format":"date","description":"Automatische Löschung ab","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"note":{"type":"string","description":"Notiz"},"externalId":{"type":"string","format":"uuid","description":"Externe Id","readOnly":true},"alias":{"type":"string","description":"Alias"},"type":{"$ref":"#/components/schemas/dms-shelf-ShelfDocumentType"},"state":{"type":"string","description":"Status eines Dokuments","enum":["DRAFT","FILE_ATTACHED","MISSING"],"readOnly":true},"deletionState":{"type":"string","default":"NOT_YET","description":"Löschungsstatus","enum":["NOT_YET","PREPARE_DELETE","FILE_DELETED","MANUALLY_RETAIN"],"readOnly":true},"translatableTexts":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfTranslatableText"}}},"required":["entryDate"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"dms-shelf-ShelfFile":{"description":"file data","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"publicFileExtension":{"type":"string","description":"file-extension of this entry","readOnly":true},"publicFileName":{"type":"string","description":"file-name (without extension) of this entry","readOnly":true},"storageHandle":{"type":"string","description":"current reference of this file in our storage ","readOnly":true},"contentType":{"type":"string","description":"detected content type","readOnly":true},"metaDataEntries":{"type":"array","description":"meta data","items":{"$ref":"#/components/schemas/dms-shelf-ShelfFileMetaData"},"readOnly":true},"fileSize":{"type":"integer","format":"int64","description":"fileSize","readOnly":true},"revisionNumber":{"type":"integer","format":"int32","description":"revision number of this file","readOnly":true},"subFiles":{"type":"array","description":"subFiles for this file","items":{"$ref":"#/components/schemas/dms-shelf-SubFileInfo"},"readOnly":true}}},"dms-shelf-ShelfFileMetaData":{"description":"meta data","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"metaKey":{"type":"string","description":"metadaten key"},"metaValue":{"type":"string","description":"metadaten wert"}},"required":["metaKey"]},"dms-shelf-SubFileInfo":{"description":"subFiles for this file","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"fileName"},"parentPath":{"type":"string","description":"Parent-Path"},"fullPath":{"type":"string","description":"Full-Path"},"modifiedAt":{"type":"string","format":"date-time","description":"file last modified"},"contentType":{"type":"string","description":"Inhaltstyp"},"shelfFile":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"dms-shelf-ShelfShare":{"description":"share informations","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"publicUrlPath":{"type":"string","description":"der url-pfadanteil, der öffentlichen zugriff auf diese resource gibt","readOnly":true},"publicUrlCreatedAt":{"type":"string","format":"date","description":"wann die öffentliche resource erstellt wurde","readOnly":true},"publicUrlDurationInMinutes":{"type":"integer","format":"int64","description":"wie viele Minuten bleibt dieser resource-pfad zugreifbar (null = unlimited)"},"availability":{"type":"string","description":"Bestimmt, wie oft eine öffentliche URL verfügbar ist","enum":["UNLIMITED","ONE_TIME_USE"]},"timesUsed":{"type":"integer","format":"int32","description":"Anzahl der Nutzungen","readOnly":true},"appId":{"type":"string","format":"uuid","description":"App-ID"},"sharedByExternalRef":{"type":"string","description":"Externer Verweis auf dieses Share"},"revision":{"type":"integer","format":"int32","description":"Revision","readOnly":true},"eTag":{"type":"string","description":"Hash der Revision","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"publishState":{"type":"string","description":"Veröffentlichungsstatus einer Dokument-Freigabe","enum":["SYNCED","PENDING","DRAFT"]},"translatableTexts":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfTranslatableText"}},"etag":{"type":"string"}},"required":["availability"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"dms-shelf-ShelfTranslatableText":{"description":"Mehrsprachige Bezeichnungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"alternativeText":{"type":"string","description":"Alternativer Text","maxLength":2147483647,"minLength":0},"metaTitle":{"type":"string","description":"Meta-Titel","maxLength":255,"minLength":0},"languageCode":{"type":"string","description":"Sprache"}},"required":["languageCode"]},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag-Typen","enum":["COMMON","ACCOUNT","PRODUCT","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Beschriftung des Tags"},"color":{"type":"string","description":"Farbe für die Anzeige des Tags"},"editColor":{"type":"string","description":"Farbe in Verwaltungs-GUI"},"searchColor":{"type":"string","description":"Farbe in Such-GUI"},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"dms-shelf-ShelfDocumentType":{"description":"Dokumentenart","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"unique key of type","readOnly":true},"label":{"type":"string","description":"label of type"},"systemPresetting":{"type":"boolean","default":false,"description":"system presetting","readOnly":true},"duration":{"type":"integer","format":"int32","description":"duration of storage (years)"},"revisionStorageRule":{"type":"integer","format":"int32","description":"storage rule for revisions"},"accessLevelRead":{"type":"integer","format":"int32","description":"access level or reading"},"accessLevelWrite":{"type":"integer","format":"int32","description":"access level for writing"},"accessLevelDelete":{"type":"integer","format":"int32","description":"access level for deleting"},"active":{"type":"boolean","default":true,"description":"Ist die Dokumentenart aktiv"}},"required":["label"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```

## PUT /dms/resources/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}":{"put":{"tags":["Documents"],"summary":"Update existing Resource ","operationId":"update_78","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfDocument"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfDocument"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"dms-shelf-ShelfDocument":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"file":{"$ref":"#/components/schemas/dms-shelf-ShelfFile"},"shares":{"type":"array","description":"share informations","items":{"$ref":"#/components/schemas/dms-shelf-ShelfShare"},"readOnly":true},"description":{"type":"string","description":"description of this document"},"entryDate":{"type":"string","format":"date","description":"Date of this Entry/Document"},"plannedRemovalDate":{"type":"string","format":"date","description":"Automatische Löschung ab","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"note":{"type":"string","description":"Notiz"},"externalId":{"type":"string","format":"uuid","description":"Externe Id","readOnly":true},"alias":{"type":"string","description":"Alias"},"type":{"$ref":"#/components/schemas/dms-shelf-ShelfDocumentType"},"state":{"type":"string","description":"Status eines Dokuments","enum":["DRAFT","FILE_ATTACHED","MISSING"],"readOnly":true},"deletionState":{"type":"string","default":"NOT_YET","description":"Löschungsstatus","enum":["NOT_YET","PREPARE_DELETE","FILE_DELETED","MANUALLY_RETAIN"],"readOnly":true},"translatableTexts":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfTranslatableText"}}},"required":["entryDate"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"dms-shelf-ShelfFile":{"description":"file data","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"publicFileExtension":{"type":"string","description":"file-extension of this entry","readOnly":true},"publicFileName":{"type":"string","description":"file-name (without extension) of this entry","readOnly":true},"storageHandle":{"type":"string","description":"current reference of this file in our storage ","readOnly":true},"contentType":{"type":"string","description":"detected content type","readOnly":true},"metaDataEntries":{"type":"array","description":"meta data","items":{"$ref":"#/components/schemas/dms-shelf-ShelfFileMetaData"},"readOnly":true},"fileSize":{"type":"integer","format":"int64","description":"fileSize","readOnly":true},"revisionNumber":{"type":"integer","format":"int32","description":"revision number of this file","readOnly":true},"subFiles":{"type":"array","description":"subFiles for this file","items":{"$ref":"#/components/schemas/dms-shelf-SubFileInfo"},"readOnly":true}}},"dms-shelf-ShelfFileMetaData":{"description":"meta data","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"metaKey":{"type":"string","description":"metadaten key"},"metaValue":{"type":"string","description":"metadaten wert"}},"required":["metaKey"]},"dms-shelf-SubFileInfo":{"description":"subFiles for this file","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"fileName"},"parentPath":{"type":"string","description":"Parent-Path"},"fullPath":{"type":"string","description":"Full-Path"},"modifiedAt":{"type":"string","format":"date-time","description":"file last modified"},"contentType":{"type":"string","description":"Inhaltstyp"},"shelfFile":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"dms-shelf-ShelfShare":{"description":"share informations","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"publicUrlPath":{"type":"string","description":"der url-pfadanteil, der öffentlichen zugriff auf diese resource gibt","readOnly":true},"publicUrlCreatedAt":{"type":"string","format":"date","description":"wann die öffentliche resource erstellt wurde","readOnly":true},"publicUrlDurationInMinutes":{"type":"integer","format":"int64","description":"wie viele Minuten bleibt dieser resource-pfad zugreifbar (null = unlimited)"},"availability":{"type":"string","description":"Bestimmt, wie oft eine öffentliche URL verfügbar ist","enum":["UNLIMITED","ONE_TIME_USE"]},"timesUsed":{"type":"integer","format":"int32","description":"Anzahl der Nutzungen","readOnly":true},"appId":{"type":"string","format":"uuid","description":"App-ID"},"sharedByExternalRef":{"type":"string","description":"Externer Verweis auf dieses Share"},"revision":{"type":"integer","format":"int32","description":"Revision","readOnly":true},"eTag":{"type":"string","description":"Hash der Revision","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"publishState":{"type":"string","description":"Veröffentlichungsstatus einer Dokument-Freigabe","enum":["SYNCED","PENDING","DRAFT"]},"translatableTexts":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfTranslatableText"}},"etag":{"type":"string"}},"required":["availability"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"dms-shelf-ShelfTranslatableText":{"description":"Mehrsprachige Bezeichnungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"alternativeText":{"type":"string","description":"Alternativer Text","maxLength":2147483647,"minLength":0},"metaTitle":{"type":"string","description":"Meta-Titel","maxLength":255,"minLength":0},"languageCode":{"type":"string","description":"Sprache"}},"required":["languageCode"]},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag-Typen","enum":["COMMON","ACCOUNT","PRODUCT","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Beschriftung des Tags"},"color":{"type":"string","description":"Farbe für die Anzeige des Tags"},"editColor":{"type":"string","description":"Farbe in Verwaltungs-GUI"},"searchColor":{"type":"string","description":"Farbe in Such-GUI"},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"dms-shelf-ShelfDocumentType":{"description":"Dokumentenart","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"unique key of type","readOnly":true},"label":{"type":"string","description":"label of type"},"systemPresetting":{"type":"boolean","default":false,"description":"system presetting","readOnly":true},"duration":{"type":"integer","format":"int32","description":"duration of storage (years)"},"revisionStorageRule":{"type":"integer","format":"int32","description":"storage rule for revisions"},"accessLevelRead":{"type":"integer","format":"int32","description":"access level or reading"},"accessLevelWrite":{"type":"integer","format":"int32","description":"access level for writing"},"accessLevelDelete":{"type":"integer","format":"int32","description":"access level for deleting"},"active":{"type":"boolean","default":true,"description":"Ist die Dokumentenart aktiv"}},"required":["label"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```

## GET /dms/resources/{id}/shares/{shareId}

> get ONE existing share

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/shares/{shareId}":{"get":{"tags":["Documents"],"summary":"get ONE existing share","operationId":"getShareById","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"shareId","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfShare"}}}}}}}},"components":{"schemas":{"dms-shelf-ShelfShare":{"description":"share informations","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"publicUrlPath":{"type":"string","description":"der url-pfadanteil, der öffentlichen zugriff auf diese resource gibt","readOnly":true},"publicUrlCreatedAt":{"type":"string","format":"date","description":"wann die öffentliche resource erstellt wurde","readOnly":true},"publicUrlDurationInMinutes":{"type":"integer","format":"int64","description":"wie viele Minuten bleibt dieser resource-pfad zugreifbar (null = unlimited)"},"availability":{"type":"string","description":"Bestimmt, wie oft eine öffentliche URL verfügbar ist","enum":["UNLIMITED","ONE_TIME_USE"]},"timesUsed":{"type":"integer","format":"int32","description":"Anzahl der Nutzungen","readOnly":true},"appId":{"type":"string","format":"uuid","description":"App-ID"},"sharedByExternalRef":{"type":"string","description":"Externer Verweis auf dieses Share"},"revision":{"type":"integer","format":"int32","description":"Revision","readOnly":true},"eTag":{"type":"string","description":"Hash der Revision","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"publishState":{"type":"string","description":"Veröffentlichungsstatus einer Dokument-Freigabe","enum":["SYNCED","PENDING","DRAFT"]},"translatableTexts":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfTranslatableText"}},"etag":{"type":"string"}},"required":["availability"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"dms-shelf-ShelfTranslatableText":{"description":"Mehrsprachige Bezeichnungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"alternativeText":{"type":"string","description":"Alternativer Text","maxLength":2147483647,"minLength":0},"metaTitle":{"type":"string","description":"Meta-Titel","maxLength":255,"minLength":0},"languageCode":{"type":"string","description":"Sprache"}},"required":["languageCode"]}}}}
```

## PUT /dms/resources/{id}/shares/{shareId}

> Update existing Share

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/shares/{shareId}":{"put":{"tags":["Documents"],"summary":"Update existing Share","operationId":"updateShare","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"shareId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfShare"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfShare"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"dms-shelf-ShelfShare":{"description":"share informations","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"publicUrlPath":{"type":"string","description":"der url-pfadanteil, der öffentlichen zugriff auf diese resource gibt","readOnly":true},"publicUrlCreatedAt":{"type":"string","format":"date","description":"wann die öffentliche resource erstellt wurde","readOnly":true},"publicUrlDurationInMinutes":{"type":"integer","format":"int64","description":"wie viele Minuten bleibt dieser resource-pfad zugreifbar (null = unlimited)"},"availability":{"type":"string","description":"Bestimmt, wie oft eine öffentliche URL verfügbar ist","enum":["UNLIMITED","ONE_TIME_USE"]},"timesUsed":{"type":"integer","format":"int32","description":"Anzahl der Nutzungen","readOnly":true},"appId":{"type":"string","format":"uuid","description":"App-ID"},"sharedByExternalRef":{"type":"string","description":"Externer Verweis auf dieses Share"},"revision":{"type":"integer","format":"int32","description":"Revision","readOnly":true},"eTag":{"type":"string","description":"Hash der Revision","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"publishState":{"type":"string","description":"Veröffentlichungsstatus einer Dokument-Freigabe","enum":["SYNCED","PENDING","DRAFT"]},"translatableTexts":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfTranslatableText"}},"etag":{"type":"string"}},"required":["availability"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"dms-shelf-ShelfTranslatableText":{"description":"Mehrsprachige Bezeichnungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"alternativeText":{"type":"string","description":"Alternativer Text","maxLength":2147483647,"minLength":0},"metaTitle":{"type":"string","description":"Meta-Titel","maxLength":255,"minLength":0},"languageCode":{"type":"string","description":"Sprache"}},"required":["languageCode"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```

## DELETE /dms/resources/{id}/shares/{shareId}

> delete an existing share

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/shares/{shareId}":{"delete":{"tags":["Documents"],"summary":"delete an existing share","operationId":"deleteShareById","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"shareId","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /dms/resources/{id}/file-transfer/{token}/{part}

> upload/change a file transfer part

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/file-transfer/{token}/{part}":{"post":{"tags":["Documents"],"summary":"upload/change a file transfer part","operationId":"createFileTransferPart","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"token","in":"path","description":"file-transfer token","required":true,"schema":{"type":"string"}},{"name":"part","in":"path","description":"unique part number","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-TransferFilePartCreateResponse"}}}}}}}},"components":{"schemas":{"dms-shelf-TransferFilePartCreateResponse":{"description":"Response wenn ein UploadPart angelegt wird","properties":{"uploadUri":{"type":"string","description":"upload-url for the real (tm) upload"}}}}}}
```

## PUT /dms/resources/{id}/file-transfer/{token}/{part}

> upload/change a file transfer part

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/file-transfer/{token}/{part}":{"put":{"tags":["Documents"],"summary":"upload/change a file transfer part","operationId":"updateFileTransferPart","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"token","in":"path","description":"file-transfer token","required":true,"schema":{"type":"string"}},{"name":"part","in":"path","description":"unique part number","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-TransferFilePartUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"dms-shelf-TransferFilePartUpdateRequest":{"description":"Aktualisiert einen FilePart Upload","properties":{"uploadEtag":{"type":"string","description":"resulting ETag from UploadPart upload"}},"required":["uploadEtag"]}}}}
```

## PUT /dms/resources/{id}/deletion\_state

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/deletion_state":{"put":{"tags":["Documents"],"operationId":"updateDeletionState","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"newDeletionState","in":"query","required":true,"schema":{"type":"string","enum":["NOT_YET","PREPARE_DELETE","MANUALLY_RETAIN"]}}],"responses":{"200":{"description":"OK"}}}}}}
```

## POST /dms/resources

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources":{"post":{"tags":["Documents"],"summary":"Create new Resource","operationId":"create_74","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfDocumentPostRequest"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfDocument"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"dms-shelf-ShelfDocumentPostRequest":{"properties":{"shelfDocument":{"$ref":"#/components/schemas/dms-shelf-ShelfDocument"},"attributions":{"type":"array","description":"Verweise auf andere Elemente, z.B. Account, Import-Vorgang, ...","items":{"$ref":"#/components/schemas/dms-shelf-ShelfDocumentAttribution"}},"transformations":{"type":"array","description":"Transformationen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfImageTransformation"}}},"required":["shelfDocument"]},"dms-shelf-ShelfDocument":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"file":{"$ref":"#/components/schemas/dms-shelf-ShelfFile"},"shares":{"type":"array","description":"share informations","items":{"$ref":"#/components/schemas/dms-shelf-ShelfShare"},"readOnly":true},"description":{"type":"string","description":"description of this document"},"entryDate":{"type":"string","format":"date","description":"Date of this Entry/Document"},"plannedRemovalDate":{"type":"string","format":"date","description":"Automatische Löschung ab","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"note":{"type":"string","description":"Notiz"},"externalId":{"type":"string","format":"uuid","description":"Externe Id","readOnly":true},"alias":{"type":"string","description":"Alias"},"type":{"$ref":"#/components/schemas/dms-shelf-ShelfDocumentType"},"state":{"type":"string","description":"Status eines Dokuments","enum":["DRAFT","FILE_ATTACHED","MISSING"],"readOnly":true},"deletionState":{"type":"string","default":"NOT_YET","description":"Löschungsstatus","enum":["NOT_YET","PREPARE_DELETE","FILE_DELETED","MANUALLY_RETAIN"],"readOnly":true},"translatableTexts":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfTranslatableText"}}},"required":["entryDate"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"dms-shelf-ShelfFile":{"description":"file data","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"publicFileExtension":{"type":"string","description":"file-extension of this entry","readOnly":true},"publicFileName":{"type":"string","description":"file-name (without extension) of this entry","readOnly":true},"storageHandle":{"type":"string","description":"current reference of this file in our storage ","readOnly":true},"contentType":{"type":"string","description":"detected content type","readOnly":true},"metaDataEntries":{"type":"array","description":"meta data","items":{"$ref":"#/components/schemas/dms-shelf-ShelfFileMetaData"},"readOnly":true},"fileSize":{"type":"integer","format":"int64","description":"fileSize","readOnly":true},"revisionNumber":{"type":"integer","format":"int32","description":"revision number of this file","readOnly":true},"subFiles":{"type":"array","description":"subFiles for this file","items":{"$ref":"#/components/schemas/dms-shelf-SubFileInfo"},"readOnly":true}}},"dms-shelf-ShelfFileMetaData":{"description":"meta data","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"metaKey":{"type":"string","description":"metadaten key"},"metaValue":{"type":"string","description":"metadaten wert"}},"required":["metaKey"]},"dms-shelf-SubFileInfo":{"description":"subFiles for this file","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"fileName"},"parentPath":{"type":"string","description":"Parent-Path"},"fullPath":{"type":"string","description":"Full-Path"},"modifiedAt":{"type":"string","format":"date-time","description":"file last modified"},"contentType":{"type":"string","description":"Inhaltstyp"},"shelfFile":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"dms-shelf-ShelfShare":{"description":"share informations","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"publicUrlPath":{"type":"string","description":"der url-pfadanteil, der öffentlichen zugriff auf diese resource gibt","readOnly":true},"publicUrlCreatedAt":{"type":"string","format":"date","description":"wann die öffentliche resource erstellt wurde","readOnly":true},"publicUrlDurationInMinutes":{"type":"integer","format":"int64","description":"wie viele Minuten bleibt dieser resource-pfad zugreifbar (null = unlimited)"},"availability":{"type":"string","description":"Bestimmt, wie oft eine öffentliche URL verfügbar ist","enum":["UNLIMITED","ONE_TIME_USE"]},"timesUsed":{"type":"integer","format":"int32","description":"Anzahl der Nutzungen","readOnly":true},"appId":{"type":"string","format":"uuid","description":"App-ID"},"sharedByExternalRef":{"type":"string","description":"Externer Verweis auf dieses Share"},"revision":{"type":"integer","format":"int32","description":"Revision","readOnly":true},"eTag":{"type":"string","description":"Hash der Revision","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"publishState":{"type":"string","description":"Veröffentlichungsstatus einer Dokument-Freigabe","enum":["SYNCED","PENDING","DRAFT"]},"translatableTexts":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfTranslatableText"}},"etag":{"type":"string"}},"required":["availability"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"dms-shelf-ShelfTranslatableText":{"description":"Mehrsprachige Bezeichnungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"alternativeText":{"type":"string","description":"Alternativer Text","maxLength":2147483647,"minLength":0},"metaTitle":{"type":"string","description":"Meta-Titel","maxLength":255,"minLength":0},"languageCode":{"type":"string","description":"Sprache"}},"required":["languageCode"]},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag-Typen","enum":["COMMON","ACCOUNT","PRODUCT","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Beschriftung des Tags"},"color":{"type":"string","description":"Farbe für die Anzeige des Tags"},"editColor":{"type":"string","description":"Farbe in Verwaltungs-GUI"},"searchColor":{"type":"string","description":"Farbe in Such-GUI"},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"dms-shelf-ShelfDocumentType":{"description":"Dokumentenart","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"unique key of type","readOnly":true},"label":{"type":"string","description":"label of type"},"systemPresetting":{"type":"boolean","default":false,"description":"system presetting","readOnly":true},"duration":{"type":"integer","format":"int32","description":"duration of storage (years)"},"revisionStorageRule":{"type":"integer","format":"int32","description":"storage rule for revisions"},"accessLevelRead":{"type":"integer","format":"int32","description":"access level or reading"},"accessLevelWrite":{"type":"integer","format":"int32","description":"access level for writing"},"accessLevelDelete":{"type":"integer","format":"int32","description":"access level for deleting"},"active":{"type":"boolean","default":true,"description":"Ist die Dokumentenart aktiv"}},"required":["label"]},"dms-shelf-ShelfDocumentAttribution":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"refType":{"type":"string","description":"type of the referenced object"},"refId":{"type":"integer","format":"int64","description":"id of the referenced object"},"uiSort":{"type":"integer","format":"int32","description":"UI-verwaltetes Feld"},"uiComment":{"type":"string","description":"UI-verwaltetes Feld"},"uiFavorite":{"type":"boolean","default":false,"description":"UI-verwaltetes Feld"},"mainAttribution":{"type":"boolean","description":"Hauptverknüpfung dieser DMS-Ressource","readOnly":true},"transformationKeys":{"type":"array","description":"Verfügbare Transformationen zum Bild","items":{"type":"string","description":"Verfügbare Transformationen zum Bild"},"readOnly":true},"shelfResourceId":{"type":"integer","format":"int64","description":"ID der verknüpften DMS-Ressource"},"publish":{"type":"boolean","description":"Soll das Dokument veröffentlicht werden?"},"purpose":{"type":"string","description":"Art der Beziehung / Verwendungszweck"}},"required":["purpose"]},"dms-shelf-ShelfImageTransformation":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"uiKey":{"type":"string","description":"zur Unterscheidung verschiedener Transformationen"},"share":{"$ref":"#/components/schemas/dms-shelf-ShelfShare"},"sizeX":{"type":"integer","format":"int32","description":"Breite in pixeln"},"sizeY":{"type":"integer","format":"int32","description":"Höhe in pixeln"},"rotation":{"type":"integer","format":"int32","description":"Rotation in Grad"},"watermarkLabel":{"type":"string","description":"Ein Wasserzeichen"},"imageFileStorageHandle":{"type":"string","description":"interne referenz auf die physikalische datei","readOnly":true},"imageFileCreatedAt":{"type":"string","format":"date","description":"wann wurde die physikalische datei erstellt","readOnly":true},"imageFileDuration":{"type":"integer","format":"int32","description":"wie viele Tage bleibt diese physikalische datei erhalten (0 = unlimited)"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```

## GET /dms/resources/{id}/shares

> get all existing shares

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/shares":{"get":{"tags":["Documents"],"summary":"get all existing shares","operationId":"getShare","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/dms-shelf-ShelfShare"}}}}}}}}},"components":{"schemas":{"dms-shelf-ShelfShare":{"description":"share informations","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"publicUrlPath":{"type":"string","description":"der url-pfadanteil, der öffentlichen zugriff auf diese resource gibt","readOnly":true},"publicUrlCreatedAt":{"type":"string","format":"date","description":"wann die öffentliche resource erstellt wurde","readOnly":true},"publicUrlDurationInMinutes":{"type":"integer","format":"int64","description":"wie viele Minuten bleibt dieser resource-pfad zugreifbar (null = unlimited)"},"availability":{"type":"string","description":"Bestimmt, wie oft eine öffentliche URL verfügbar ist","enum":["UNLIMITED","ONE_TIME_USE"]},"timesUsed":{"type":"integer","format":"int32","description":"Anzahl der Nutzungen","readOnly":true},"appId":{"type":"string","format":"uuid","description":"App-ID"},"sharedByExternalRef":{"type":"string","description":"Externer Verweis auf dieses Share"},"revision":{"type":"integer","format":"int32","description":"Revision","readOnly":true},"eTag":{"type":"string","description":"Hash der Revision","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"publishState":{"type":"string","description":"Veröffentlichungsstatus einer Dokument-Freigabe","enum":["SYNCED","PENDING","DRAFT"]},"translatableTexts":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfTranslatableText"}},"etag":{"type":"string"}},"required":["availability"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"dms-shelf-ShelfTranslatableText":{"description":"Mehrsprachige Bezeichnungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"alternativeText":{"type":"string","description":"Alternativer Text","maxLength":2147483647,"minLength":0},"metaTitle":{"type":"string","description":"Meta-Titel","maxLength":255,"minLength":0},"languageCode":{"type":"string","description":"Sprache"}},"required":["languageCode"]}}}}
```

## POST /dms/resources/{id}/shares

> Create new Share

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/shares":{"post":{"tags":["Documents"],"summary":"Create new Share","operationId":"createShare","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfShare"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfShare"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"dms-shelf-ShelfShare":{"description":"share informations","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"publicUrlPath":{"type":"string","description":"der url-pfadanteil, der öffentlichen zugriff auf diese resource gibt","readOnly":true},"publicUrlCreatedAt":{"type":"string","format":"date","description":"wann die öffentliche resource erstellt wurde","readOnly":true},"publicUrlDurationInMinutes":{"type":"integer","format":"int64","description":"wie viele Minuten bleibt dieser resource-pfad zugreifbar (null = unlimited)"},"availability":{"type":"string","description":"Bestimmt, wie oft eine öffentliche URL verfügbar ist","enum":["UNLIMITED","ONE_TIME_USE"]},"timesUsed":{"type":"integer","format":"int32","description":"Anzahl der Nutzungen","readOnly":true},"appId":{"type":"string","format":"uuid","description":"App-ID"},"sharedByExternalRef":{"type":"string","description":"Externer Verweis auf dieses Share"},"revision":{"type":"integer","format":"int32","description":"Revision","readOnly":true},"eTag":{"type":"string","description":"Hash der Revision","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"publishState":{"type":"string","description":"Veröffentlichungsstatus einer Dokument-Freigabe","enum":["SYNCED","PENDING","DRAFT"]},"translatableTexts":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfTranslatableText"}},"etag":{"type":"string"}},"required":["availability"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"dms-shelf-ShelfTranslatableText":{"description":"Mehrsprachige Bezeichnungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"alternativeText":{"type":"string","description":"Alternativer Text","maxLength":2147483647,"minLength":0},"metaTitle":{"type":"string","description":"Meta-Titel","maxLength":255,"minLength":0},"languageCode":{"type":"string","description":"Sprache"}},"required":["languageCode"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```

## GET /dms/resources/{id}/file

> download the original or transformed document file

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/file":{"get":{"tags":["Documents"],"summary":"download the original or transformed document file","operationId":"handleFileDownload","parameters":[{"name":"id","in":"path","description":"ID der DMS-Ressource","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"uiKey","in":"query","description":"optional: Einschränkung auf eine bestimmte Transformation","required":false,"schema":{"type":"string"}},{"name":"disposition","in":"query","description":"optional: gewünschte Content-Disposition vom Request","required":false,"schema":{"type":"string"}},{"name":"If-None-Match","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Response contains File","content":{"application/json":{"schema":{}}}},"201":{"description":"Response with download-url","content":{"application/json":{"schema":{}}}},"303":{"description":"Location attribute contains alternate download location","content":{"application/json":{"schema":{}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## POST /dms/resources/{id}/file

> upload/change the original document file

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/file":{"post":{"tags":["Documents"],"summary":"upload/change the original document file","operationId":"handleFileUpload","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"sha256hash","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /dms/resources/{id}/file-transfer

> start a file transfer (chunked and multiparted)

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/file-transfer":{"post":{"tags":["Documents"],"summary":"start a file transfer (chunked and multiparted)","operationId":"createFileTransfer","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-TransferFileCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-TransferFileCreateResponse"}}}}}}}},"components":{"schemas":{"dms-shelf-TransferFileCreateRequest":{"properties":{"fileName":{"type":"string","description":"filename (komplett) der zieldatei"}},"required":["fileName"]},"dms-shelf-TransferFileCreateResponse":{"properties":{"token":{"type":"string","description":"token für den transfer file"}}}}}}
```

## POST /dms/resources/{id}/file-transfer/{token}/terminate

> terminate/delete a file transfer

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/file-transfer/{token}/terminate":{"post":{"tags":["Documents"],"summary":"terminate/delete a file transfer","operationId":"terminateFileTransfer","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"token","in":"path","description":"file-transfer token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{}}}}}}}}}
```

## POST /dms/resources/{id}/file-transfer/{token}/finish

> finish a file transfer

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/file-transfer/{token}/finish":{"post":{"tags":["Documents"],"summary":"finish a file transfer","operationId":"finishFileTransfer","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"token","in":"path","description":"file-transfer token","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-TransferFileFinishRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{}}}}}}}},"components":{"schemas":{"dms-shelf-TransferFileFinishRequest":{"properties":{"partCount":{"type":"integer","format":"int64","description":"anzahl der Teile, die hochgeladen wurden"},"sha256Check":{"type":"string","description":"sha256 checksumme des komplette files (optional)"}},"required":["partCount"]}}}}
```

## POST /dms/resources/dms-key/{dmsKey}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/dms-key/{dmsKey}":{"post":{"tags":["Documents"],"operationId":"createWithQuery","parameters":[{"name":"dmsKey","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfDocumentEntryResource.DmsUploadWrapper"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfDocument"}}}}}}}},"components":{"schemas":{"dms-shelf-ShelfDocumentEntryResource.DmsUploadWrapper":{"properties":{"lookUps":{"type":"array","description":"Vergleiche, die verundet werden","items":{"$ref":"#/components/schemas/dms-shelf-ShelfDocumentEntryResource.DmsUploadLookup"}},"resource":{"$ref":"#/components/schemas/dms-shelf-ShelfDocument"},"purpose":{"type":"string"},"uiSort":{"type":"integer","format":"int32"}},"required":["lookUps","resource"]},"dms-shelf-ShelfDocumentEntryResource.DmsUploadLookup":{"description":"Vergleiche, die verundet werden","properties":{"field":{"type":"string","description":"cUnit-Pfad"},"value":{"type":"string","description":"Vergleichswert"}},"required":["field","value"]},"dms-shelf-ShelfDocument":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"file":{"$ref":"#/components/schemas/dms-shelf-ShelfFile"},"shares":{"type":"array","description":"share informations","items":{"$ref":"#/components/schemas/dms-shelf-ShelfShare"},"readOnly":true},"description":{"type":"string","description":"description of this document"},"entryDate":{"type":"string","format":"date","description":"Date of this Entry/Document"},"plannedRemovalDate":{"type":"string","format":"date","description":"Automatische Löschung ab","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"note":{"type":"string","description":"Notiz"},"externalId":{"type":"string","format":"uuid","description":"Externe Id","readOnly":true},"alias":{"type":"string","description":"Alias"},"type":{"$ref":"#/components/schemas/dms-shelf-ShelfDocumentType"},"state":{"type":"string","description":"Status eines Dokuments","enum":["DRAFT","FILE_ATTACHED","MISSING"],"readOnly":true},"deletionState":{"type":"string","default":"NOT_YET","description":"Löschungsstatus","enum":["NOT_YET","PREPARE_DELETE","FILE_DELETED","MANUALLY_RETAIN"],"readOnly":true},"translatableTexts":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfTranslatableText"}}},"required":["entryDate"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"dms-shelf-ShelfFile":{"description":"file data","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"publicFileExtension":{"type":"string","description":"file-extension of this entry","readOnly":true},"publicFileName":{"type":"string","description":"file-name (without extension) of this entry","readOnly":true},"storageHandle":{"type":"string","description":"current reference of this file in our storage ","readOnly":true},"contentType":{"type":"string","description":"detected content type","readOnly":true},"metaDataEntries":{"type":"array","description":"meta data","items":{"$ref":"#/components/schemas/dms-shelf-ShelfFileMetaData"},"readOnly":true},"fileSize":{"type":"integer","format":"int64","description":"fileSize","readOnly":true},"revisionNumber":{"type":"integer","format":"int32","description":"revision number of this file","readOnly":true},"subFiles":{"type":"array","description":"subFiles for this file","items":{"$ref":"#/components/schemas/dms-shelf-SubFileInfo"},"readOnly":true}}},"dms-shelf-ShelfFileMetaData":{"description":"meta data","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"metaKey":{"type":"string","description":"metadaten key"},"metaValue":{"type":"string","description":"metadaten wert"}},"required":["metaKey"]},"dms-shelf-SubFileInfo":{"description":"subFiles for this file","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"fileName"},"parentPath":{"type":"string","description":"Parent-Path"},"fullPath":{"type":"string","description":"Full-Path"},"modifiedAt":{"type":"string","format":"date-time","description":"file last modified"},"contentType":{"type":"string","description":"Inhaltstyp"},"shelfFile":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"dms-shelf-ShelfShare":{"description":"share informations","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"publicUrlPath":{"type":"string","description":"der url-pfadanteil, der öffentlichen zugriff auf diese resource gibt","readOnly":true},"publicUrlCreatedAt":{"type":"string","format":"date","description":"wann die öffentliche resource erstellt wurde","readOnly":true},"publicUrlDurationInMinutes":{"type":"integer","format":"int64","description":"wie viele Minuten bleibt dieser resource-pfad zugreifbar (null = unlimited)"},"availability":{"type":"string","description":"Bestimmt, wie oft eine öffentliche URL verfügbar ist","enum":["UNLIMITED","ONE_TIME_USE"]},"timesUsed":{"type":"integer","format":"int32","description":"Anzahl der Nutzungen","readOnly":true},"appId":{"type":"string","format":"uuid","description":"App-ID"},"sharedByExternalRef":{"type":"string","description":"Externer Verweis auf dieses Share"},"revision":{"type":"integer","format":"int32","description":"Revision","readOnly":true},"eTag":{"type":"string","description":"Hash der Revision","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"publishState":{"type":"string","description":"Veröffentlichungsstatus einer Dokument-Freigabe","enum":["SYNCED","PENDING","DRAFT"]},"translatableTexts":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfTranslatableText"}},"etag":{"type":"string"}},"required":["availability"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"dms-shelf-ShelfTranslatableText":{"description":"Mehrsprachige Bezeichnungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"alternativeText":{"type":"string","description":"Alternativer Text","maxLength":2147483647,"minLength":0},"metaTitle":{"type":"string","description":"Meta-Titel","maxLength":255,"minLength":0},"languageCode":{"type":"string","description":"Sprache"}},"required":["languageCode"]},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag-Typen","enum":["COMMON","ACCOUNT","PRODUCT","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Beschriftung des Tags"},"color":{"type":"string","description":"Farbe für die Anzeige des Tags"},"editColor":{"type":"string","description":"Farbe in Verwaltungs-GUI"},"searchColor":{"type":"string","description":"Farbe in Such-GUI"},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"dms-shelf-ShelfDocumentType":{"description":"Dokumentenart","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"unique key of type","readOnly":true},"label":{"type":"string","description":"label of type"},"systemPresetting":{"type":"boolean","default":false,"description":"system presetting","readOnly":true},"duration":{"type":"integer","format":"int32","description":"duration of storage (years)"},"revisionStorageRule":{"type":"integer","format":"int32","description":"storage rule for revisions"},"accessLevelRead":{"type":"integer","format":"int32","description":"access level or reading"},"accessLevelWrite":{"type":"integer","format":"int32","description":"access level for writing"},"accessLevelDelete":{"type":"integer","format":"int32","description":"access level for deleting"},"active":{"type":"boolean","default":true,"description":"Ist die Dokumentenart aktiv"}},"required":["label"]}}}}
```

## GET /dms/resources/{uuid}/fileUUID

> Download File using a UUID

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Documents","description":"Resource managing the Documents in our DMS(Shelf)"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{uuid}/fileUUID":{"get":{"tags":["Documents"],"summary":"Download File using a UUID","operationId":"downloadFileByUUID","parameters":[{"name":"uuid","in":"path","description":"UUID der DMS-Ressource","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"disposition","in":"query","description":"optional: gewünschte Content-Disposition vom Request","required":false,"schema":{"type":"string"}},{"name":"If-None-Match","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Response contains File","content":{"application/json":{"schema":{}}}},"201":{"description":"Response with download-url","content":{"application/json":{"schema":{}}}},"303":{"description":"Location attribute contains alternate download location","content":{"application/json":{"schema":{}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/componen
[...]
